ACCEPT(2)

NAME
accept - accepts incoming connections on a socket

SYNOPSIS
#include <sys/socket.h>
int accept(int sd, struct sockaddr * addr, socklen_t * addr_len);

DESCRIPTION
accept() accepts a new incoming connection on a listening socket sd. The structure pointed to by addr is filled in with the address of the peer, and addr_len is set to the length of the address of the peer.

RETURN VALUES
On success, this function returns a numeric socket descriptor. On error, -1 is returned and errno is set.

ERRORS

[EOPNOTSUPP]
    The socket does not support accept(2) (example: a UDP socket).

[ENOTSOCK]
    The sd argument is not a socket.

[EINVAL]
    The socket is not listening or in an invalid state.

SEE ALSO
socket(2), connect(2)